
QGIS Application - Bug report #11479

Direct printing only prints small area of the print layout

2014-10-23 06:48 AM - Otto Dassau

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19749

Description

Hi,

direct printing in the print composer does not print the complete layout. Only a small part (maybe 50%) is printed. It happens on two

different Windows 7 PCs (OSGeo4W 32bit) but works under Windows 7 (OSGeo4W 64bit) and GNU/Linux. Maybe because of a

different Qt version used in 32bit (Qt 4.7.1) and 64bit (Qt 4.8.5) OSGeo4W package?

Regards

Otto

Related issues:

Related to QGIS Application - Feature request # 11473: Use TLS v1.2 instead o... Closed 2014-10-22

History

#1 - 2014-10-23 06:52 AM - Giovanni Manghi

isn't this a regression?

#2 - 2014-10-23 06:56 AM - Otto Dassau

Building the 32bit package also with Qt 4.8.5 (instead of 4.7.1 as now) would be no regression.

#3 - 2014-10-23 01:56 PM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce this. What printer/paper size settings are you using? Are you printing an atlas or a single page? Using data defined page size/orientation

or not?

#4 - 2014-10-24 12:19 AM - Otto Dassau

I work on Windows 7, use the current 32bit OSGeo4W package. I have no special printer settings. It is a4 page, a simple direct print as single page. There

are now data definitions, orientation is default. If I export the layout as PDF and print it using acrobat reader, it works fine, but direct printing does not work

properly.

And as I said, I have a current 64bit OSGeo4W package installed in parallel on that PC, and there it works as expected.
Thanks for your help!

#5 - 2014-10-25 12:08 AM - Nyall Dawson

Does it work in 2.4? Are you printing as raster?

#6 - 2014-10-31 05:55 AM - Jürgen Fischer

- Target version changed from Version 2.6 to Future Release - High Priority

#7 - 2015-01-16 10:24 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#8 - 2015-01-21 04:17 AM - Jürgen Fischer

Qt in OSGeo4W 32bit was updated to 4.8.6 - please verify that it also solved the printing issue.

#9 - 2015-05-10 02:33 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

closing for lack of feedback.
